# I3DExImportFilter Struct Reference
[External Interfaces]

Inheritance diagram for I3DExImportFilter:

List of all members.

## Public Member Functions
virtual boolean MCCOMAPI | Prepare (IMCFile *file, I3DShScene *scene, I3DShTreeElement *fatherTree)=0
virtual boolean MCCOMAPI | WantsOptionDialog ()=0
virtual MCCOMErr MCCOMAPI | DoImport (IMCFile *file, I3DShScene *scene, I3DShTreeElement *fatherTree, TImportInfo *ioImportInfo)=0
virtual boolean MCCOMAPI | WantsTopScene ()=0

## Detailed Description

An import filter is a plugin that can open a file (with Open) or import a file into a scene (with Import).

## Member Function Documentation

virtual MCCOMErr MCCOMAPI I3DExImportFilter::DoImport | ( | IMCFile * | file,
|  | I3DShScene * | scene,
|  | I3DShTreeElement * | fatherTree,
|  | TImportInfo * | ioImportInfo |
| ) |  |  | `[pure virtual]`

Imports a file into a scene. It is called either by using the File->Open or File->Import.

Parameters:

  | file | file that is imported
  | scene | the scene in which you want to add the content of the file
  | fatherTree | is the root of the imported scene. You should add all the imported instances/groups as child of it. If fatherTree is NULL, then you should import everything in the Universe of the scene.
  | ioImportInfo | Info for positioning the imported data in the scene (NULL for default placement)

Implemented in TBasic3DImportFilter.

virtual boolean MCCOMAPI I3DExImportFilter::Prepare | ( | IMCFile * | file,
|  | I3DShScene * | scene,
|  | I3DShTreeElement * | fatherTree |
| ) |  |  | `[pure virtual]`

Is called before the actual import starts. Usually you do not need to implement this method.

Parameters:

  | file | The file that is imported.
  | scene | The scene into which we import.
  | fatherTree | A pointer to the tree element under which the imported objects should be inserted.

Implemented in TBasic3DImportFilter.

virtual boolean MCCOMAPI I3DExImportFilter::WantsOptionDialog | ( |  | ) | `[pure virtual]`

Returns true if an option dialog should be opened.

Implemented in TBasic3DImportFilter.

virtual boolean MCCOMAPI I3DExImportFilter::WantsTopScene | ( |  | ) | `[pure virtual]`

Called by the shell to determine if objects should placed directly in the scene or in a Master Group.

Note:
  This call is only used for "import"and not for "open".

Returns:
  True if the imported objects should be placed in the main scene. False if the imported objects should be placed in a master group.

Implemented in TBasic3DImportFilter.

The documentation for this struct was generated from the following file:

- I3dExImportExport.h